using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace New_College.Model.Models
{
   
    public class T_EnrollmentBatch : EntityModel
    {
        /// <summary>
        /// 省份id
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public int AreaId { get; set; }
        /// <summary>
        /// 省份名称
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string AreaName { get; set; }
        /// <summary>
        /// 年份
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public int Year { get; set; }

        [SugarColumn(IsNullable = true)] 
        public string Batch_name { get; set; }

        /// <summary>
        /// 本科1，专科0，其他-1
        /// </summary>
        [SugarColumn(IsNullable = true)] 
        public int Subjectlevel { get; set; }
        /// <summary>
        /// 文理 不分文理
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Type { get; set; }

        /// <summary>
        /// 批次分数线
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public int ScoreLine { get; set; }

    }
}
